package intrinsic.mx.logging;

public class LogLogger extends intrinsic.flash.events.EventDispatcher implements intrinsic.mx.logging.ILogger {

	/** Accessors */
	public String category;

	/** Variables */

	/** Constants */
	public static final String VERSION = "version";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public LogLogger() {
}

public LogLogger(Object arg0) {
}


/** Static Methods */

/** Methods */
public native void info(String arg0);
public native void warn(String arg0);
public native void debug(String arg0);
public native void error(String arg0);
public native void log(int arg0, String arg1);
public native void fatal(String arg0);

}
